
export const SetMealSearchForm = [
  {
    type: "input",
    label: "套餐名称",
    field: "label",
    value: "", // 双向绑定的值
  },
  {
    type: "input",
    label: "套餐ID",
    field: "label",
    value: "", // 双向绑定的值
  },
  {
    type: "select",
    label: "套餐计划类型",
    field: "isRecharge",
    options: [], // 默认空，后面会通过字典加载
    dict: "setMeal",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "range-picker",
    label: "创建时间",
    field: "createdAt",
    value: [], // 双向绑定的值
    width: "300",
    Custom: 'mode="month"', // 自定义值
  },
  {
    type: "select",
    label: "状态",
    field: "state",
    options: [
      {label:'上架',value:'1'}, 
      {label:'下架',value:'2'}, 
    ], // 默认空，后面会通过字典加载
    value: "", // 双向绑定的值
    width: "200",
  },
]


export const columnsSetMeal = [
  {
    title: "序号",
    dataIndex: "index",
    align: "center",
    ellipsis: true,
    render: ({ rowIndex }) => rowIndex + 1,
  },
  {
    title: "套餐计划名称",
    dataIndex: "label",
    align: "center",
    ellipsis: true,
  },
  {
    title: "所属客户",
    dataIndex: "userName",
    align: "center",
    ellipsis: true,
  },
  {
    title: "套餐计划类型",
    slotName: "isRecharge",
    align: "center",
    ellipsis: true,
  },
  {
    title: "绑定资费",
    dataIndex: "defaultTrafficName",
    align: "center",
    ellipsis: true,
  },
  {
    title: "状态",
    slotName: "status",
    align: "center",
    ellipsis: true,
  },
  {
    title: "创建时间",
    dataIndex: "createdAt",
    align: "center",
    ellipsis: true,
  },
  {
    title: "更新时间",
    dataIndex: "updatedAt",
    align: "center",
    ellipsis: true,
  },
  {
    title: "操作",
    align: "center",
    ellipsis: true,
    slotName: 'Controls',
    fixed: 'right'
  },
];


export const columnsTarrit = [
  {
    title: "序号",
    dataIndex: "index",
    align: "center",
    ellipsis: true,
    render: ({ rowIndex }) => rowIndex + 1,
  },
  {
    title: "套餐名称",
    dataIndex: "label",
    align: "center",
    ellipsis: true,
  },
  {
    title: "所属套餐计划",
    dataIndex: "terminalName",
    align: "center",
    ellipsis: true,
  },
  {
    title: "资费名称",
    dataIndex: "trafficName",
    align: "center",
    ellipsis: true,
  },
  {
    title: "套餐类型",
    dataIndex: "typeName",
    align: "center",
    ellipsis: true,
  },
  {
    title: "充值币种",
    dataIndex: "currency",
    align: "center",
    ellipsis: true,
  },
  {
    title: "原价",
    dataIndex: "oldPrice",
    align: "center",
    ellipsis: true,
  },
  {
    title: "成本",
    dataIndex: "costPrice",
    align: "center",
    ellipsis: true,
  },
  {
    title: "售价(终端充值)",
    dataIndex: "price",
    align: "center",
    ellipsis: true,
  },
  {
    title: "利润",
    dataIndex: "profitPrice",
    align: "center",
    ellipsis: true,
  },
  {
    title: "流量成本结算方式",
    dataIndex: "billingMethod",
    align: "center",
    ellipsis: true,
  },
  {
    title: "创建时间",
    dataIndex: "createdAt",
    align: "center",
    ellipsis: true,
  },
  {
    title: "更新时间",
    dataIndex: "updatedAt",
    align: "center",
    ellipsis: true,
  },
  {
    title: "状态",
    slotName: "status",
    align: "center",
    ellipsis: true,
  },
  {
    title: "操作",
    align: "center",
    slotName: 'options',
    fixed: 'right'
  },
]
